
VELO Production Issue - Bug #22159

[PROD][Android] App Show Error "Permission Required" When Launch App Even All Permission

Granted

02 June 2025 01:28 PM - yap chekying

Status: Pending PROD Start date: 02 June 2025

Priority: Normal Due date:  

Assignee: yap chekying % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

App Show Error "Permission Required" When Launch App Even All Permission Granted. Please refer to attached images. Details will

be provided after gotten OCBC

History

#1 - 03 June 2025 08:46 AM - yap chekying

Details:

Samsung kode SM-T865, Galaxy tab S6, Android 12

#2 - 03 June 2025 02:35 PM - sengloong.khoo sengloong.khoo

- File Screenshot 2025-06-03 at 2.32.57 PM.png added

- Status changed from New to Resolved

- Assignee changed from sengloong.khoo sengloong.khoo to yap chekying

Some device stated as android 12 but it return as API 31

Solution : change the logic API 32 and below will not prompt the fail permission

#3 - 03 June 2025 03:34 PM - yap chekying

- Status changed from Resolved to Feedback

- Assignee changed from yap chekying to sengloong.khoo sengloong.khoo

i checked, Android 12 corresponds to API level 31 since release date October 2021. Can you please provide the accurate root cause? i need to revert

back to the product owner.

#4 - 03 June 2025 03:39 PM - sengloong.khoo sengloong.khoo

- Assignee changed from sengloong.khoo sengloong.khoo to yap chekying

Build.VERSION.SDK_INT <= 31. the old logic is set to 31 and below so the permission will be always denied even if the user has set allow

current logic set to Build.VERSION.SDK_INT < 33

#5 - 03 June 2025 03:58 PM - yap chekying

- Assignee changed from yap chekying to sengloong.khoo sengloong.khoo

Should be set to Build.VERSION.SDK_INT > 33, right? If set to Build.VERSION.SDK_INT < 33, means API below 33 the permission will be always

denied.
#6 - 05 June 2025 10:46 AM - sengloong.khoo sengloong.khoo

- File Screenshot 2025-06-05 at 10.42.35 AM.png added

- Assignee changed from sengloong.khoo sengloong.khoo to yap chekying

API 33 and below will have storage permission

API 33 above will initial Webservice since they are not required for storage permission due to google remove the External Storage permission and

block it from uploading to playstore.

There a image attached for the logic.

#7 - 05 June 2025 11:05 AM - yap chekying

- Status changed from Feedback to Pending PROD

Files

Permission Required.jpeg 70.5 KB 02 June 2025 yap chekying

Settings.jpeg 84.1 KB 02 June 2025 yap chekying

Screenshot 2025-06-03 at 2.32.57 PM.png 49.5 KB 03 June 2025 sengloong.khoo sengloong.khoo

Screenshot 2025-06-05 at 10.42.35 AM.png 104 KB 05 June 2025 sengloong.khoo sengloong.khoo
